Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.file
Class RotatingLogManager

    java.lang.Object
      rice.environment.logging.AbstractLogManager
          rice.environment.logging.file.RotatingLogManager

All Implemented Interfaces:
  LogManager

public class RotatingLogManager
extends AbstractLogManager

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jstewart

Field Summary

Fields inherited from class rice.environment.logging.AbstractLogManager
`dateFormat, dateFormatter, enabled, loggers, nullPrintStream, packageOnly, params, prefix, ps, SYSTEM_ERR, SYSTEM_OUT, time`

Constructor Summary
`RotatingLogManager(TimeSource timeSource, Parameters params)` Constructor for RotatingLogManager.
`RotatingLogManager(TimeSource timeSource, Parameters params, java.lang.String prefix, java.lang.String dateFormat)`

Method Summary
`void` | `cancelRotateTask()` DESCRIBE THE METHOD
`protected Logger` | `constructLogger(java.lang.String clazz, int level, boolean useDefault)` DESCRIBE THE METHOD
`void` | `startRotateTask(SelectorManager sm)` DESCRIBE THE METHOD

Methods inherited from class rice.environment.logging.AbstractLogManager
`getLogger, getPrefix, getPrintStream, getTimeSource, parseVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotatingLogManager

    public RotatingLogManager(TimeSource timeSource,
                              Parameters params)

  Constructor for RotatingLogManager.

Parameters:
  `timeSource` - DESCRIBE THE PARAMETER
  `params` - DESCRIBE THE PARAMETER

### RotatingLogManager

    public RotatingLogManager(TimeSource timeSource,
                              Parameters params,
                              java.lang.String prefix,
                              java.lang.String dateFormat)

Parameters:
  `timeSource` -
  `params` -
  `prefix` -
  `dateFormat` - DESCRIBE THE PARAMETER

Method Detail

### startRotateTask

    public void startRotateTask(SelectorManager sm)

  DESCRIBE THE METHOD

  Parameters:
    `sm` - DESCRIBE THE PARAMETER

### cancelRotateTask

    public void cancelRotateTask()

  DESCRIBE THE METHOD

### constructLogger

    protected Logger constructLogger(java.lang.String clazz,
                                     int level,
                                     boolean useDefault)

  DESCRIBE THE METHOD

  Specified by:
    `constructLogger` in class `AbstractLogManager`
  Parameters:
    `clazz` - DESCRIBE THE PARAMETER
    `level` - DESCRIBE THE PARAMETER
    `useDefault` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.